This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979088 - Review Request: abrt-java-connector - JNI Agent library converting Java exceptions to ABRT problems
Review Request: abrt-java-connector - JNI Agent library converting Java excep...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 10:58 EDT by Jakub Filak
Modified: 2016-11-30 19:44 EST (History)
5 users (show)

See Also:
Fixed In Version: abrt-java-connector-1.0.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 21:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub Filak 2013-06-27 10:58:29 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/abrt-java-connector.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/abrt-java-connector-1.0.0-1.el7.src.rpm
Description: JNI library providing an agent capable to process both caught and uncaught exceptions and transform them to ABRT problems
Fedora Account System Username: jfilak
Comment 1 Ricky Elrod 2013-06-30 12:51:23 EDT
Taking for review.
Comment 2 Ricky Elrod 2013-06-30 13:52:30 EDT
Two minor things.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java

- checksum doesn't match upstream -- how come?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[-]: Packages are noarch unless they use JNI
     Note: abrt-java-connector subpackage is not noarch. Please verify
     manually
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: abrt-java-connector-1.0.0-1.fc20.x86_64.rpm
abrt-java-connector.x86_64: E: invalid-soname /usr/lib64/libabrt-java-connector.so libabrt-java-connector.so
1 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint abrt-java-connector
abrt-java-connector.x86_64: E: invalid-soname /usr/lib64/libabrt-java-connector.so libabrt-java-connector.so
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
abrt-java-connector (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    abrt
    config(abrt-java-connector)
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libreport.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
abrt-java-connector:
    abrt-java-connector
    abrt-java-connector(x86-64)
    config(abrt-java-connector)
    libabrt-java-connector.so()(64bit)



Unversioned so-files
--------------------
abrt-java-connector: /usr/lib64/libabrt-java-connector.so

Source checksums
----------------
https://github.com/jfilak/abrt-java-connector/archive/239a2a669df420a40968f8c6f3290e9b4994251f/abrt-java-connector-1.0.0-239a2a6.tar.gz :
  CHECKSUM(SHA256) this package     : afcf5498b39c14af9671b866597b70dafde536d4a9b9c4e4b0077f3f47ad74e7
  CHECKSUM(SHA256) upstream package : 7dfdc84f42308176d1f377375ab32deab3f5662ca42541ec75ac38f72a5ddd33
However, diff -r shows no differences


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 979088
Comment 3 Jakub Filak 2013-07-01 03:26:00 EDT
Thank you for the review!

issue 1)
Excuse me! I thought that the rule doesn't apply for this package because the package is a pure JNI library written only in C and doesn't contain any Java class. So, the package needs only java-devel and nothing more from Java world.

issue 2)
Because of Github :)

"Keep in mind that github tarballs are generated on-demand, so their modification dates will vary and cause checksum tests to fail. Reviewers will need to use diff -r to verify the tarballs." [1]

1: http://fedoraproject.org/wiki/Packaging:SourceURL#Github
Comment 4 Michal Srb 2013-07-01 03:57:14 EDT
issue 1)
I agree with Jakub here, this is not really true Java package. Besides, requiring jpackage-utils is no longer really needed, but Java packaging guidelines have not been updated yet. I am pretty sure that this package will work just fine without jpackage-utils.
Comment 5 Ricky Elrod 2013-07-01 04:14:32 EDT
Ok, fair enough. That's all I had, so: APPROVED.
Comment 6 Ricky Elrod 2013-07-01 04:15:41 EDT
Thanks for clarifying, both of you. :)
Comment 7 Jakub Filak 2013-07-01 05:27:06 EDT
New Package SCM Request
=======================
Package Name: abrt-java-connector
Short Description: JNI Agent library converting Java exceptions to ABRT problems
Owners: jfilak
Branches: f19
Comment 8 Gwyn Ciesla 2013-07-01 08:37:20 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-07-01 09:57:07 EDT
abrt-java-connector-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-java-connector-1.0.0-1.fc19
Comment 10 Fedora Update System 2013-07-01 20:25:14 EDT
abrt-java-connector-1.0.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-07-09 21:21:03 EDT
abrt-java-connector-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.